Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class SwingSoapUICore

    java.lang.Object
      com.eviware.soapui.DefaultSoapUICore
          com.eviware.soapui.SwingSoapUICore

All Implemented Interfaces:
  SoapUICore

Direct Known Subclasses:
  StandaloneSoapUICore

    public class SwingSoapUICore

extends DefaultSoapUICore

Field Summary

Fields inherited from class com.eviware.soapui.DefaultSoapUICore
`log`

Fields inherited from interface com.eviware.soapui.SoapUICore
`DEFAULT_SETTINGS_FILE`

Constructor Summary
`SwingSoapUICore()`
`SwingSoapUICore(java.lang.String settingsFile)`

Method Summary
`void` | `afterStartup(Workspace workspace)`
`protected java.lang.String` | `importSettingsOnStartup(java.lang.String fileName)`
`protected Settings` | `initSettings(java.lang.String fileName)`
`void` | `prepareUI()`

Methods inherited from class com.eviware.soapui.DefaultSoapUICore
`addExternalListeners, createDefault, getActionRegistry, getExtensionClassLoader, getListenerRegistry, getMockEngine, getRoot, getSettings, importSettings, init, initActionRegistry, initCoreComponents, initDefaultSettings, initExtensions, initListenerRegistry, initLog, loadExternalLibraries, saveSettings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingSoapUICore

    public SwingSoapUICore()

### SwingSoapUICore

    public SwingSoapUICore(java.lang.String settingsFile)

Method Detail

### prepareUI

    public void prepareUI()

### afterStartup

    public void afterStartup(Workspace workspace)

### initSettings

    protected Settings initSettings(java.lang.String fileName)

  Overrides:
    `initSettings` in class `DefaultSoapUICore`

### importSettingsOnStartup

    protected java.lang.String importSettingsOnStartup(java.lang.String fileName)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.